package com.dji.sdk.cloudapi.map;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * @author hqjiang
 * @version 0.1
 * @date 2024/7/29
 */
@Schema(description = "picture of the element")
public class ElementPicture {

    @Schema(description = "file id")
    private String fileId;

    @Schema(description = "缩略图Url")
    private String thumbnailUrl;

    @Schema(description = "媒体类型")
    private String mediaType;

    @Schema(description = "元素ID")
    private String elementId;

    @Schema(description = "文件夹ID")
    private Integer dirId;



    public ElementPicture() {
    }

    @Override
    public String toString() {
        return "ElementProperty{" +
                "fileId='" + fileId + '\'' +
                ", thumbnailUrl=" + thumbnailUrl +
                ", mediaType=" + mediaType +
                ", elementId=" + elementId +
                ", dirId=" + dirId +
                '}';
    }

    public String getFileId() {
        return fileId;
    }

    public ElementPicture setFileId(String fileId) {
        this.fileId = fileId;
        return this;
    }

    public String getThumbnailUrl() {
        return thumbnailUrl;
    }

    public ElementPicture setThumbnailUrl(String thumbnailUrl) {
        this.thumbnailUrl = thumbnailUrl;
        return this;
    }

    public String getMediaType() {
        return mediaType;
    }

    public ElementPicture setMediaType(String mediaType) {
        this.mediaType = mediaType;
        return this;
    }

    public String getElementId() {
        return elementId;
    }

    public ElementPicture setElementId(String elementId) {
        this.elementId = elementId;
        return this;
    }
    public Integer getDirId() {
        return dirId;
    }

    public ElementPicture setDirId(Integer dirId) {
        this.dirId = dirId;
        return this;
    }

}
